Subject: Re: bug#52183 (29.0.50; Empty space in the mode line if server-mode is active)

From: Davide Masserut <[email-masked]>
Date: Tue, 30 Nov 2021 09:57:51 +0100

Here is the message that I thought I had sent to emacs-devel (I pressed
the button "Reply to" and at the time I was not subscribed):

> Seems like the "@" thingy on client frames' mode-line causes the
> preceding mode-line-mule-info to be padded to 5-char width, for some
> reason.

I think the issue is here [1].
Moving mode-line-mule-info and mode-line-client
before  "(list :propertize ..." seems to fix the problem.

[1]:
http://git.savannah.gnu.org/gitweb/?p=emacs.git;a=blob;f=lisp/bindings.el;h=e28b06a1dcd924551d74ad9ee02b831d8577c460;hb=refs/heads/master#l610

BTW, does emacs-devel block email from people who are not subscribed to
the list?

-- 
Davide Masserut